apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: expedientemanual-postgresql-pvc
  namespace: becare
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 2Gi
---
apiVersion: v1
kind: Secret
metadata:
  name: expedientemanual-postgresql
  namespace: becare
  labels:
    app: expedientemanual-postgresql
type: Opaque
data:
  postgresql-password: OWRkMmVkOWZkYmI5ODVlZTNiZDQ0OTQ2NmQ3NGVhOTZlMWNjM2I5ZDY4NTNkNjBiYjYwMDFkOWU3NTA0
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: expedientemanual-postgresql
  namespace: becare
spec:
  replicas: 1
  selector:
    matchLabels:
      app: expedientemanual-postgresql
  template:
    metadata:
      labels:
        app: expedientemanual-postgresql
    spec:
      volumes:
        - name: data
          persistentVolumeClaim:
            claimName: expedientemanual-postgresql-pvc
      containers:
        - name: postgres
          image: postgres:13.4
          env:
            - name: POSTGRES_USER
              value: expedientemanual
            - name: POSTGRES_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: expedientemanual-postgresql
                  key: postgresql-password
          ports:
            - containerPort: 5432
          volumeMounts:
            - name: data
              mountPath: /var/lib/postgresql/data
              subPath: postgres
          resources:
            requests:
              memory: "512Mi"
              cpu: "500m"
            limits:
              memory: "1Gi"
              cpu: "1"
---
apiVersion: v1
kind: Service
metadata:
  name: expedientemanual-postgresql
  namespace: becare
spec:
  selector:
    app: expedientemanual-postgresql
  ports:
    - port: 5432
  # type: LoadBalancer
  clusterIP: None
